<mat-drawer-container [autosize]="true" class="min-h-full max-w-7xl mx-auto border-x">
  <mat-drawer mode="side" opened class="p-6">
    <app-filters (showCategory)="onShowCategory($event)"></app-filters>
  </mat-drawer>
  <mat-drawer-content class="p-6">
    <app-products-header
      (columnsCountChange)="onColumnsCountChange($event)"
      (itemsCountChange)="onItemsCountChange($event)"
      (sortChange)="onSortChange($event)"
    ></app-products-header>

    <mat-grid-list
      gutterSize="16"
      [cols]="cols"
      [rowHeight]="rowHeight"
    >
      <mat-grid-tile *ngFor="let product of products">
        <app-product-box
          (addToCart)="onAddToCart($event)"
          [product]="product"
          [fullWidthMode]="cols === 1"
          class="w-full"
        ></app-product-box>
      </mat-grid-tile>
    </mat-grid-list>
  </mat-drawer-content>
</mat-drawer-container>